Bug 498401 - hda-intel : sound no longer working ("Too big adjustment 32")
hda-intel : sound no longer working ("Too big adjustment 32")
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 498825 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 06:29 EDT by Matthieu Araman
Modified: 2011-12-17 06:05 EST (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci -vnn (9.56 KB, text/plain)
2009-04-30 06:30 EDT, Matthieu Araman
no flags Details

  None (edit)
Description Matthieu Araman 2009-04-30 06:29:07 EDT
Description of problem:
I experienced sound problems with rawhide and my sound card.
With March rawhide, it was working.
Beginning of April, it stops to work.
Since I reinstalled rawhide completely on 20090426 with boot.iso 20090424, it worked again (but with many warning in /var/log/messages).
After applying this morning rawhide updates and rebooting, sound stopped to work.

Version-Release number of selected component (if applicable):
http://smolts.org/show?uuid=pub_1ba6e4a2-c95f-4e8c-80a9-9144d24d35ac
kernel  :Linux  2.6.29.1-111.fc11.x86_64 #1 SMP Fri Apr 24 10:57:09 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
pulseaudio
[root@matou ~]# rpm -qa | grep pulse
pulseaudio-libs-glib2-0.9.15-11.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
pulseaudio-utils-0.9.15-11.fc11.x86_64
pulseaudio-module-bluetooth-0.9.15-11.fc11.x86_64
pulseaudio-libs-0.9.15-11.fc11.x86_64
pulseaudio-module-gconf-0.9.15-11.fc11.x86_64
xine-lib-pulseaudio-1.1.16.3-2.fc11.x86_64
pulseaudio-module-x11-0.9.15-11.fc11.x86_64


How reproducible:
Always

Steps to Reproduce:
1.boot , login with normal user, launch rytmbox
2.choose jamendo and play a track
3.
  
Actual results:
no sound, kernel errors messages in /var/log/messages

Expected results:
sound

Additional info:
extract from /var/log/messages ("Opération non permise" means permission denied)

Apr 30 12:03:59 matou auditd[2152]: Started dispatcher: /sbin/audispd pid: 2154
Apr 30 12:03:59 matou audispd: af_unix plugin initialized
Apr 30 12:03:59 matou audispd: audispd initialized with q_depth=80 and 2 active plugins
Apr 30 12:03:59 matou auditd[2152]: Init complete, auditd 1.7.12 listening for events (startup state enable)
Apr 30 12:04:05 matou kernel: JBD: barrier-based sync failed on dm-2:8 - disabling barriers
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: fuse init (API version 7.11)
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:07 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:08 matou kernel: ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32
Apr 30 12:04:08 matou pulseaudio[2316]: alsa-sink.c: Unable to set switch: Opération non permise
Apr 30 12:04:08 matou kernel: hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
Apr 30 12:04:08 matou pulseaudio[2382]: pid.c: Daemon already running.
Apr 30 12:07:18 matou ntpd[1837]: synchronized to 91.121.45.45, stratum 2
Apr 30 12:07:18 matou ntpd[1837]: time reset +0.229966 s
Apr 30 12:07:18 matou ntpd[1837]: kernel time sync status change 0001
Apr 30 12:09:13 matou pulseaudio[2316]: alsa-sink.c: Increasing wakeup watermark to 30,00 ms
Apr 30 12:10:25 matou pulseaudio[2316]: alsa-sink.c: Increasing wakeup watermark to 40,00 ms
Apr 30 12:10:47 matou ntpd[1837]: synchronized to 88.191.80.132, stratum 2
Apr 30 12:14:33 matou ntpd[1837]: synchronized to 91.121.45.45, stratum 2
Apr 30 12:18:20 matou pulseaudio[2316]: alsa-sink.c: Increasing wakeup watermark to 50,00 ms
Apr 30 12:19:01 matou ntpd[1837]: synchronized to 88.191.80.132, stratum 2
Comment 1 Matthieu Araman 2009-04-30 06:30:11 EDT
Created attachment 341899 [details]
lspci -vnn
Comment 3 Edo Kyou 2009-05-04 06:04:22 EDT
I have (I think) the same bug.  Sound works fine in console mode but refuses to work in X.  May be possibly be a permissions issue going off alsaunmute behaviour.  As normal user:

[edd@htpc ~]$ alsaunmute
/sbin/alsactl: init:1708: No soundcards found...

However when running as root:

[root@htpc ~]# alsaunmute 
Unknown hardware: "HDA-Intel" "Nvidia MCP73 HDMI" "HDA:10ec0888,147b0000,00100001 HDA:10de8001,10de0101,00100000" "" ""                                                                               Hardware is initialized using a guess method

Still however no sound even as root, though it does at least detect the sound card.
Comment 4 Edo Kyou 2009-05-04 06:16:28 EDT
Got it, it seems users created in the first run wizard aren't added to the audio group by default, the following fixed it :)

usermod -aG audio edd

Perhaps Matthieu can try this?
Comment 5 Edo Kyou 2009-05-04 06:19:10 EDT
Strange though, I wasn't in the audio group yet sound was still working in console mode, possible bug?
Comment 6 Matthieu Araman 2009-05-04 16:17:47 EDT
tested adding me to the audio group (relogged, rebooted, ...)
doesn't change anything, still no sound.
Comment 7 Chris Shoemaker 2009-05-04 16:53:33 EDT
I'm in the same boat, with same hardware, same rpms, same arch, same error messages, no sound.  Adding myself to the audio group didn't help.

Actually, the line number is different for me:
ALSA sound/pci/hda/hda_intel.c:1091: Too big adjustment 32
Comment 8 Stefan Neufeind 2009-05-06 14:56:01 EDT
also see #498825
Comment 9 Thierry Mallard 2009-05-08 03:49:53 EDT
*** Bug 498825 has been marked as a duplicate of this bug. ***
Comment 10 Chuck Ebbert 2009-05-09 18:19:13 EDT
I'm hitting this on F11 but not on the F10 2.6.29 kernel.
Comment 11 Chuck Ebbert 2009-05-09 18:36:21 EDT
2.6.29.3-136 and later will emit better debug messages when this problem is hit.
Comment 12 Yanko Kaneti 2009-05-16 07:32:06 EDT
What about sound working but still getting the message ? 2.6.29.3-142.fc11.x86_64

....
ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
Comment 13 Bug Zapper 2009-06-09 10:52:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bidwell Ducanh 2009-06-13 05:11:46 EDT
Hi I found a workaround which may lend information to the bug. You have to disable the position-event-sounds pulseaudio module in /etc/pulse/default.pa.

Thanks.
Comment 15 Stas Sergeev 2009-06-25 07:23:45 EDT
* me too *

Sound initially works, then stops with this:
---
hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
---
then everything is mute.
Comment 16 Chris Van Hoof 2009-06-29 23:42:54 EDT
Same errors here, and no sound on a new(ish) Mac Mini running F11 i386.
Comment 17 Randy 2009-07-03 09:27:43 EDT
Got sound working .. somehow.  (added & deleted some multimedia stuff, then it worked but very softly .. low volume).  Then ... yesterday, had module update notice for many multi-media mods.  Installed 'em.  Now no sound again.  (FC11, i386, Intel VT1708/A)
Comment 18 Randy 2009-07-07 01:10:53 EDT
(In reply to comment #17)
> Got sound working .. somehow.  (added & deleted some multimedia stuff, then it
> worked but very softly .. low volume).  Then ... yesterday, had module update
> notice for many multi-media mods.  Installed 'em.  Now no sound again.  (FC11,
> i386, Intel VT1708/A)  

All better.  Last update fixed Pulse
Comment 19 Chris Van Steenlandt 2009-07-09 17:06:18 EDT
I have exactly the same problems as desribed by Mathieu.
For days I have been trying to find a solution (remove alsa, install ossv4, reinstall alsa & pulse ...) but currently the pulse sound server will keep running for a few minutes until I start pulse audio volume control and it crashes with the error above :-(

But I'm on x86_64 and not on i386 like Randy. In the test updates repository I saw there is an update for the pulse alsa backend. 

Wait till that becomes to the official repo's and I'll let you know my findings ...

I'm an audiophile and a linux fan but pretty much fustrated these days.

Chris
Comment 20 Chris Van Steenlandt 2009-07-11 18:27:08 EDT
PackageKit installed a new version of alsa plugins for pulse-audio (1.0.20-2.fc11-x86_64 to be exact) and things are starting to work ... finally !

But the famous message 'ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32' keeps on bugging me whenever I log in. The system sound when I login and the one when the gnome desktop appears is full of pops and cracks. What is also very strange is that these system sounds are sent to my external audio card in stead of my internal on board audio chip (ATI SB). Although in 'sound preferences' I indicated that all sound ouput should go to the internal sound chip.

Anybody an idea ? I know the system sounds are provided by libcanberra but this also uses pulse audio and therefore should follow my pulse audio settings.
Comment 21 Randy 2009-07-13 22:24:36 EDT
When will I ever learn?  Had sound working just fine - then massive update (32 mods) yesterday.  Now no sound again.  If I EVER get audio again, think I'll forgo any updates.
Comment 22 Randy 2009-07-15 07:41:50 EDT
Frustrated.  I uninstalled pulseaudio, alsa-tools and alsa-plugins.  (pretended I was on Windows and re-booted)  Then re-installed pulseaudio, alsa-tools and alsa-plugins.  It works.  Guess I'm ready for fc12 .... aaaaaahrg!
Comment 23 Bruno Medeiros 2009-07-17 07:25:33 EDT
I have a similar error here.

I got a lot of 'ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32' erros when i log in.
My sound is working with only two channels, but I have a 5.1 setup, which works perfectly since I use Fedora (Fedora 8).

Is there anyone with a 5.1 setup and only 2 channels working too?
Comment 24 Randy 2009-07-23 09:21:55 EDT
Well, I give up.  Had sound working fine (tho kind-of tinny sounding).  Went through updates.  Doesn't work again.  Tried uninstalling an reinstalling pulseaudio again.  No luck.  I think I'll just go back to FC8 for now.  I figure about the time FC12 is released, FC11 will be ready for prime-time.
Comment 25 Randy 2009-08-06 08:45:42 EDT
Seems like no one else is having this problem (or reporting it anyway).  Wonder why I still get these messages (and no sound).  Anyone actually WORKING this?
Comment 26 Gene Ruebsamen 2009-08-06 23:44:14 EDT
I get the following errors on my 64-bit Fedora 11 system:

ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32
hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32: adj=128, bytes=128, size=4096, periods=32

But sound still works fine.. is this something to be worried about?
Comment 27 Bruno Medeiros 2009-08-10 08:19:24 EDT
Hi!

I'm using now the kernel 2.6.29.6-213.fc11.x86_64 and the sound problems seem to be gone (although I still get the  'ALSA sound/pci/hda/hda_intel.c:1101: Too big adjustment 32' erros on dmesg).

BTW, i think people having this bug and severe sound problems actually have this one: https://bugzilla.redhat.com/show_bug.cgi?id=501769 , because this messages don't seem problematic enough to 'cut' the sound.
Comment 28 Joseph Shraibman 2010-03-09 21:48:19 EST
I seem to be having the same problem.  My system:

http://www.alsa-project.org/db/?f=0b3f491ba10008e7749a1f936678ccde618bb861
Comment 29 Bug Zapper 2010-04-27 10:01:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2010-06-28 08:17:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 31 Maximiliano Castanon 2010-11-07 00:26:26 EDT
I get the same message, 

hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.

but i get sound working normally, Fedora 14.
Comment 32 Amadeus 2011-12-17 06:05:41 EST
I have this problem too on Fedora 16.

Note You need to log in before you can comment on or make changes to this bug.